Difference between revisions of "Draft Array/de"

From FreeCAD Documentation
Jump to: navigation, search
(Created page with "Für orthogonale Anordnungen: * {{PropertyData/de|Intervall X}}: gibt das Intervall zwischen den einzelnen Kopien auf der X Achse an. * {{PropertyData/de|Intervall Y}}: gibt d...")
(Created page with "Für polare Anordnungen: * {{PropertyData/de|Achse}}: gibt die normalen Richtung des Anordnungskreises an. * {{PropertyData/de|Mittelpunkt}}: gibt den Mittelpunkt des Anordnun...")
Line 57: Line 57:
 
* {{PropertyData/de|Anzahl Z}}: gibt die Anzahl der Kopien auf der Z-Achse an.
 
* {{PropertyData/de|Anzahl Z}}: gibt die Anzahl der Kopien auf der Z-Achse an.
  
For polar arrays:
+
Für polare Anordnungen:
* {{PropertyData|Axis}}: specifies the normal direction of the array circle.
+
* {{PropertyData/de|Achse}}: gibt die normalen Richtung des Anordnungskreises an.
* {{PropertyData|Center}}: specifies the center point of the array circle.
+
* {{PropertyData/de|Mittelpunkt}}: gibt den Mittelpunkt des Anordnungskreises an.
* {{PropertyData|Angle}}: specifies the aperture of the circular arc to cover with copies; use 360 to cover an entire circle.
+
* {{PropertyData/de|Winkel}}: gibt die Öffnung des Kreisbogens an, der mit Kopien abgedeckt werden soll; verwende 360, um einen ganzen Kreis abzudecken.
* {{PropertyData|Number Polar}}: specifies the number of copies to place in the circular arrangement.
+
* {{PropertyData/de|Anzahl Polar}}: gibt die Anzahl der Kopien an, die in der kreisförmigen Anordnung platziert werden sollen.
* {{PropertyData|Interval Axis}}: specifies the interval between each copy on the {{PropertyData|Axis}} direction.
+
* {{PropertyData/de|Intervallachse}}: gibt das Intervall zwischen den einzelnen Kopien in Richtung {{PropertyData/de|Achse}} an.
  
 
For circular arrays:
 
For circular arrays:

Revision as of 15:23, 17 January 2020

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎Türkçe

Official icon not found {{{Name/de}}}

Menüeintrag
Entwurf → Anordnung
Arbeitsbereich
Draft, Arch
Standardtastenkürzel
None
In der Version eingeführt
-
Siehe auch
PfadDatenfeld, Draft PointArray, Draft Klonen


Beschreibung

Das Entwurf Anordnung Werkzeug erzeugt eine orthogonale (3-Achsen), polare oder kreisförmige Anordnung aus einem ausgewählten Objekt.

Dieses Werkzeug kann für 2D Formen verwendet werden, die mit der Entwurf Arbeitsbereich erstellt wurden, aber auch für viele Arten von 3D Objekten, wie sie mit der Part Arbeitsbereich oder PartDesign Arbeitsbereich erstellt wurden.

Um direkt polare und kreisförmige Anordnungen zu erstellen, verwende die entsprechenden Werkzeuge PolarAnordnung und KreisAnordnung; um Kopien entlang eines Pfades zu positionieren, verwende PfadAnordnung; um Kopien an bestimmten Punkten zu positionieren, verwende PunktAnordnung; um Kopien oder Klone zu erstellen und manuell zu platzieren, verwende Bewegen, Drehen und Klonen.

Um Anwendungsverknüpfungen anstelle von einfachen Kopien zu erstellen, verwende VerknüpfungAnordnung, Pfad VerknüpfungAnordnung und die entsprechende Option mit PolarAnordnung und KreisAnordnung .

Draft Array example.png Draft PolarArray example.png

Eine rechtwinklige und eine kreisförmige Anordnung aus einem Festkörperobjekt


Draft CircularArray example.png

Kreisförmiges Anordnung aus einem Festkörperobjekt


Kurzanleitung

  1. Wähle ein Objekt aus, mit dem Du ein Array erstellen möchtest.
  2. Drücke den Draft Array.svg Entwurf Anordnung Schaltfläche . Wenn kein Objekt gewählt ist, wirst Du aufgefordert, eines auszuwählen.
  3. Das Anordnungsobjekt wird sofort erstellt. Du musst die Eigenschaften der Anordnung ändern, um die Anzahl und Richtung der erstellten Kopien zu ändern.

Jedes Element in der Anordnung ist ein genauer Klon des ursprünglichen Objekts, aber die gesamte Anordnung wird in Bezug auf Eigenschaften und Aussehen als eine einzige Einheit betrachtet.

Optionen

Es gibt keine Optionen für dieses Werkzeug. Entweder funktioniert es mit den ausgewählten Objekten oder nicht.

Eigenschaften

  • Daten-EigenschaftBase: beschreibt das zu duplizierende Objekt in der Anordnung.
  • Daten-EigenschaftArray Type (Aufzählung): gibt den Typ der zu erstellenden Anordnung an, "ortho", "polar", oder "circular".
  • Daten-EigenschaftVerschmelzen: wenn es True ist und die Kopien sich überschneiden, werden sie zu einer einzigen Form zusammengefügt.

Für orthogonale Anordnungen:

  • Daten-EigenschaftIntervall X: gibt das Intervall zwischen den einzelnen Kopien auf der X Achse an.
  • Daten-EigenschaftIntervall Y: gibt das Intervall zwischen den einzelnen Kopien auf der Y-Achse an.
  • Daten-EigenschaftIntervall Z: gibt das Intervall zwischen den einzelnen Kopien auf der Z-Achse an.
  • Daten-EigenschaftAnzahl X: gibt die Anzahl der Kopien auf der X-Achse an.
  • Daten-EigenschaftAnzahl Y: gibt die Anzahl der Kopien auf der Y-Achse an.
  • Daten-EigenschaftAnzahl Z: gibt die Anzahl der Kopien auf der Z-Achse an.

Für polare Anordnungen:

  • Daten-EigenschaftAchse: gibt die normalen Richtung des Anordnungskreises an.
  • Daten-EigenschaftMittelpunkt: gibt den Mittelpunkt des Anordnungskreises an.
  • Daten-EigenschaftWinkel: gibt die Öffnung des Kreisbogens an, der mit Kopien abgedeckt werden soll; verwende 360, um einen ganzen Kreis abzudecken.
  • Daten-EigenschaftAnzahl Polar: gibt die Anzahl der Kopien an, die in der kreisförmigen Anordnung platziert werden sollen.
  • Daten-EigenschaftIntervallachse: gibt das Intervall zwischen den einzelnen Kopien in Richtung Daten-EigenschaftAchse an.

For circular arrays:

  • DataNumber Circles:
  • DataRadial distance:
  • DataSymmetry:
  • DataTangential Distance:

The number property, either X, Y, Z, or Polar, also includes the original object, so this number will be at least one.

An interval is not a simple distance, but a vector (x, y, z). If more than one value is non-zero, the copy will be created in the main direction, but will also be displaced in the other non-zero directions.

For example, if DataInterval X is (2 m, 1 m, 1 m), and DataNumber X is 3, it will create 3 copies in the X direction; the first copy will be at the original position, the second will be displaced 2 m on X, 1 m on Y, and 1 m on Z; the third copy will be displaced 4 m on X, 2 m on Y, and 2 m on Z. Each array element will be moved slightly to one side (Y direction) and up (Z direction) beside the main X direction.

The DataInterval Axis property works in the same way. If the original shape lies on the XY plane, creating a polar array with DataInterval Axis (0, 0, z) allows you to make spiral arrangements.

Scripting

Siehe auch: Draft API und FreeCAD Scripting Basics.

The Array tool can be used in macros and from the Python console by using two different functions, depending on if you wish to obtain standalone copies of your base object, or a parametric array object that stays linked to the original object.

Einfache Anordnung

Für eine rechteckige Anordnung:

array_list = array(objectslist, arg1, arg2, arg3, arg4=None, arg5=None, arg6=None)

To create a rectangular array, use it like this:

array_list = array(objectslist, xvector, yvector, xnum, ynum)
array_list = array(objectslist, xvector, yvector, zvector, xnum, ynum, znum)

Für eine polare Anordnung:

array_list = array(objectslist, center, totalangle, totalnum)
  • Erstellt eine Anordnung der in einer Liste enthaltenen Objekte (das kann ein Objekt oder eine Liste von Objekten sein).
    • Im Falle einer rechteckigen Anordnung mit xnum Iterationen in der X-Richtung mit Abstand xvector zwischen den Iterationen und das Gleiche für die Y-Richtung mit ynum und yvector sowie in die Z-Richtung mit znum und zvector, falls diese Version verwendet wird
    • Im Falle einer polaren Anordnung ist center ein Vektor, totalangle ist der abzudeckende Winkel (in Grad) und totalnum ist die Anzahl der Objekte, inklusive dem Original.
  • Diese Funktion erstellt eigenständige Kopien des Basisobjekts (der B-Objekte)

This function internally uses Draft.move() and Draft.rotate() with copy=True.

Example:

import FreeCAD, Draft

Rect = Draft.makeRectangle(1500, 500)

array_list = Draft.array(Rect, FreeCAD.Vector(1600, 0, 0), FreeCAD.Vector(0, 600, 0), 3, 4)

Parametrische Anordnung

The basic signature is as follows:

Array = makeArray(baseobject, arg1, arg2, arg3, arg4=None, arg5=None, arg6=None, name="Array")

Zur Erstellung einer rechtwinkligen Anordnung benutze es wie folgt:

Array = makeArray(baseobject, xvector, yvector, xnum, ynum, name="Array")
Array = makeArray(baseobject, xvector, yvector, zvector, xnum, ynum, znum, name="Array")

Zur Erstellung einer polaren Anordnung benutze es wie folgt:

Array = makeArray(baseobject, center, totalangle, totalnum, name="Array")
  • Erstellt eine Anordnung des angegebenen Objekts
    • im Falle einer rechteckigen Anordnung, xnum von Iterationen in der X-Richtung mit Abstand xvector zwischen den Iterationen und das Gleiche für die Y-Richtung mit ynum und yvector sowie in die Z-Richtung mit znum und zvector, falls diese Version verwendet wird
    • im Falle einer polaren Anordnung ist center ein Vektor, totalangle ist der abzudeckende Winkel (in Grad) und totalnum ist die Anzahl der Objekt, inklusive dem Original.
  • Das Ergebnis dieser Funktion ist ein parametrische Draft Anordnungsobjekt

Beispiel:

import FreeCAD, Draft

Rect = Draft.makeRectangle(1500, 500)
xvector = FreeCAD.Vector(1600, 0, 0)
yvector = FreeCAD.Vector(0, 600, 0)
Array = Draft.makeArray(Rect, xvector, yvector, 3, 4)

Tri = Draft.makePolygon(3, 600)
center = FreeCAD.Vector(-1600, 0, 0)
Array2 = Draft.makeArray(Tri, center, 360, 6)